Bug 427513 - Review Request: hunspell-ne - Nepali hunspell dictionaries
Review Request: hunspell-ne - Nepali hunspell dictionaries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-04 05:59 EST by Parag Nemade
Modified: 2008-01-23 00:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-23 00:22:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2008-01-04 05:59:39 EST
Spec URL: http://paragn.fedorapeople.org/hunspell/hunspell-ne.spec
SRPM URL: http://paragn.fedorapeople.org/hunspell/hunspell-ne-20061217-1.fc8.src.rpm
Description: Nepali hunspell dictionaries
Comment 1 Jason Tibbitts 2008-01-07 00:52:14 EST
rpmlint complains:
  hunspell-ne.noarch: W: invalid-license LGPL
A version is mandatory these days.  I can't see one indicated anywhere in this
package, though, and I'm not sure it's safe to just assume LGPLv2+.

* source files match upstream:
   b19a287970de63d246b4710f15ff6a039527a394e88b17be1d0ffc90753ece72  
   ne_NP_dict.zip
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
? license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (none)
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
X rpmlint has a valid complaint
* final provides and requires are sane:
   hunspell-ne = 20061217-1.fc9
  =
   hunspell
* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* acceptable content
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Parag AN(पराग) 2008-01-21 01:48:07 EST
tibbs,
  I contacted upstream author and he gave me following link where its clearly
mentioned that license is LGPL2.1
http://www.openoffice.org/issues/show_bug.cgi?id=70512
Comment 4 Jason Tibbitts 2008-01-22 17:46:48 EST
It would be nice if that made it into the upstream tarball, but I don't see why
it should hold up this package.

APPROVED
Comment 5 Parag Nemade 2008-01-22 22:14:27 EST
Thanks for review. Will request upstream to release new source package which
includes license version.

New Package CVS Request
=======================
Package Name: hunspell-ne
Short Description: Nepali hunspell dictionaries
Owners: pnemade
Branches: F-8
InitialCC: 
Cvsextras Commits: yes

Comment 6 Jens Petersen 2008-01-23 00:07:04 EST
cvs admin done
Comment 7 Parag Nemade 2008-01-23 00:22:19 EST
Thanks Jens.
Built for all requested branches.

Note You need to log in before you can comment on or make changes to this bug.